<?php
session_start();

// URL of the API endpoint
$url = "https://api.zeno.africa";

// Retrieve phone number from the form submission
$phone_number = isset($_POST['phone_number']) ? trim($_POST['phone_number']) : '';

// Save the phone number in the session
$_SESSION['phone_number'] = $phone_number;

// Define the amount to be paid
$amount = 3000; // Replace with dynamic value if needed

// Save the amount in the session
$_SESSION['amount'] = $amount;

// Data to send for creating the order
$orderData = [
    'create_order' => 1,
    'buyer_email' => 'abedimlelwa123@gmail.com',
    'buyer_name' => 'mwambusi',
    'buyer_phone' => $phone_number,
    'amount' => $amount, // AMOUNT_TO_BE_PAID
    'account_id' => 'zp45236',
    'api_key' => 'null',
    'secret_key' => 'null'
];

// Build the query string from the data array
$queryString = http_build_query($orderData);

// Create a context for the HTTP request
$options = [
    'http' => [
        'method'  => 'POST',
        'header'  => "Content-Type: application/x-www-form-urlencoded\r\n",
        'content' => $queryString,
    ],
];
$context = stream_context_create($options);

// Perform the POST request
$response = file_get_contents($url, false, $context);

// Check if the request was successful
if ($response === FALSE) {
    logError("Error: Unable to connect to the API endpoint.");
}

// Decode the response
$response = json_decode($response, true);

// Save the order ID in the session
$_SESSION['response'] = $response["order_id"] ?? null;

// Redirect to the next page if the order ID exists
if (isset($_SESSION['response'])) {
    header('location: index.php');
    header('Location: check-status.php');
    exit;
}

// Function to log errors
function logError($message)
{
    file_put_contents('error_log.txt', $message . "\n", FILE_APPEND);
}
?>
