<?php
session_start();

// Include your database connection file
require_once('db_connection.php'); // Replace with your actual database connection file

// URL of the payment API endpoint
$url = "https://api.zeno.africa";

// Retrieve the order ID and phone number from the session
$BLOGER_URL = "https://mbeya";
$order_id = isset($_SESSION['response']) ? $_SESSION['response'] : null;
$phone_number = isset($_SESSION['phone_number']) ? $_SESSION['phone_number'] : null;
$amount = isset($_SESSION['amount']) ? $_SESSION['amount'] : 0.00; // Retrieve amount from session

// If the order ID or phone number is not available, return an error
if (!$order_id || !$phone_number) {
    header('Location: index.php');
    exit;
}

// Start time to track the 45-second limit
$startTime = time();
$timeLimit = 45; // Time limit in seconds

// Poll the payment status until it is completed or the time limit is exceeded
while (true) {
    // Data to send for checking the payment status
    $statusData = [
        'check_status' => 1,
        'order_id' => $order_id,
        'api_key' => 'null', // Replace with your actual API key
        'secret_key' => 'null', // Replace with your actual secret key
    ];

    // Build the query string from the data array
    $queryString = http_build_query($statusData);

    // Create a context for the HTTP request
    $options = [
        'http' => [
            'method'  => 'POST',
            'header'  => "Content-Type: application/x-www-form-urlencoded\r\n",
            'content' => $queryString,
        ],
    ];
    $context = stream_context_create($options);

    // Perform the POST request to check the payment status
    $response = file_get_contents($url, false, $context);

    // Decode the response
    $responseData = json_decode($response, true);

    // Check if the payment status is available in the response
    if (isset($responseData['payment_status'])) {
        $paymentStatus = $responseData['payment_status'];

        // If payment is completed, save it in the database and redirect
        if ($paymentStatus === 'COMPLETED') {
            // Use MySQLi connection (conn) instead of PDO
            $stmt = $conn->prepare("INSERT INTO payments (phone_number, order_id, status, amount, link) VALUES (?, ?, ?, ?, ?)");
            $stmt->bind_param("sssss", $phone_number, $order_id, $paymentStatus, $amount, $BLOGER_URL);
            $stmt->execute();

            // Directly redirect to WhatsApp
            header('Location: https://chat.whatsapp.com/EMOEzLKhbMF072gV1CsDli');
            exit;
        }
    }

    // Check if the time limit has been exceeded
    if (time() - $startTime > $timeLimit) {
        header('Location: index.php'); // Redirect to index.php if the time limit is exceeded
        exit;
    }

    // Wait for 3 seconds before the next status check
 sleep(3);
}
?>